Bug 1155214

Summary: Please build an EPEL7 build of eclipse
Product: [Fedora] Fedora Reporter: Michael <mid9090>
Component: eclipseAssignee: Alexander Kurtakov <akurtako>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: akurtako, andjrobins, jerboaa, krzysztof.daniel, mat.booth, msimacek, orion, overholt, rgrunber, swagiaal
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-11-12 15:27:15 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Michael 2014-10-21 15:03:53 UTC
Subject says it all.

Thanks

Comment 1 Alexander Kurtakov 2014-10-21 15:07:32 UTC
I don't have time for this myself but if you want to drive it I'll help you.

Comment 2 Alexander Kurtakov 2014-11-12 15:27:15 UTC
I'm closing the bug as currently there is zero time I can put on this. If someone is interested in it feel free to jump in with work towards making it happen.

Comment 3 Orion Poplawski 2014-11-20 22:30:41 UTC
Just putting some comments here for posterity:

eclipse is in the devtoolset-3 SCL.  It requires some extra packages to build:  decentxml, tycho, tycho-extras and xml-maven-plugin.  We may need to bootstrap a minimal environment with at least these packages (and any deps - possibly eclipse-platform) to ease building of extra eclipse packages against the devtoolset-3 scl. 

I've filed bug 1166348 for building tycho for EPEL7.